package main

import (
	"os"
	"fmt"
	"strconv"
)

func main() {
	if len(os.Args) != 4 {
		fmt.Println("frame.go <dimensione griglia> <coordinata x> <coordinata y>")
		return
	}

	size,_ := strconv.Atoi(os.Args[1])
	x,_ := strconv.Atoi(os.Args[2])
	y,_ := strconv.Atoi(os.Args[3])

	for i:=0;i<=size;i++ { //draw x axis indices
		fmt.Print(i)
	}
	
	fmt.Println()
	
	for i:=1;i<=size;i++ { //draw y axis
		fmt.Print(i) //draw y axis indices
		
		if i == y && x <= size {  //at y coord
			for j:=1;j<x;j++{
				fmt.Print(" ") //at x coord
			}
			fmt.Print("*") //draw *
		}

		fmt.Println() //each y index on its own line
	}
}
